Page MenuHomePhabricator

merge: make hg.merge() take a context instead of a node
ClosedPublic

Authored by martinvonz on Jan 24 2020, 7:16 PM.

Details

Summary

Many callers already have a repo, so we might as well pass
that. merge.update() will look up the context object later. This
patch is part of making it so we pass around the context object all
the way down instead.

I also removed the repo argument since it can be retrieved from the
context.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

martinvonz created this revision.Jan 24 2020, 7:16 PM
martinvonz updated this revision to Diff 19605.Jan 25 2020, 1:05 AM
durin42 requested changes to this revision.Jan 29 2020, 6:09 PM
durin42 added a subscriber: durin42.

Breaks test-merge2.t but otherwise seems like a good series.

This revision now requires changes to proceed.Jan 29 2020, 6:09 PM

Breaks test-merge2.t but otherwise seems like a good series.

Doesn't break it for me (I think I just re-ran that test on all the commits in this series). I guess it's a (semantic) conflict with some other of my patches that have recently been queue. I'll rebase and try again once you're done with your current batch of queuing.

Breaks test-merge2.t but otherwise seems like a good series.

Doesn't break it for me (I think I just re-ran that test on all the commits in this series). I guess it's a (semantic) conflict with some other of my patches that have recently been queue. I'll rebase and try again once you're done with your current batch of queuing.

Rebase done and it still passes for me. How does it fail for you? I wonder if it's flaky. I've seen one of those tests be flaky before.

martinvonz updated this revision to Diff 20435.Tue, Mar 3, 5:08 PM

I've rebased the remaining two patches in this series. I'm still unable to get the test to fail.

This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.